Bug 151743 - CDT Indexer Error Messages
Summary: CDT Indexer Error Messages
Status: NEW
Alias: None
Product: Red Hat Developer Suite
Classification: Retired
Component: CDT   
(Show other bugs)
Version: 2.0
Hardware: ia64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Patrick Macdonald
QA Contact: eclipse-bugs
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-03-21 22:07 UTC by Matt Wringe
Modified: 2012-05-01 03:16 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Matt Wringe 2005-03-21 22:07:03 UTC
Description of problem:
When starting eclipse, CDT Indexer error messages appear in the log. Tested on
an ia64 machine with Bea jvm 1.4.2.

Version-Release number of selected component (if applicable):
eclipse-platform-3.0.1-11
eclipse-cdt-2.0.2-2

How reproducible:
Always

Steps to Reproduce:
1. run 'eclipse'
2. view .metadata/.log
  
Actual results:
!SESSION Mar 21, 2005 16:21:33.108 ---------------------------------------------
eclipse.buildId=200409161125
java.version=1.4.2_04
java.vendor=BEA Systems, Inc.
BootLoader constants: OS=linux, ARCH=ia64, WS=gtk, NL=en_US
                                                                               
                                                                             
!ENTRY org.eclipse.osgi Mar 21, 2005 16:21:33.111
!MESSAGE While loading class
"org.eclipse.cdt.internal.core.search.processing.IndexingJob", thread "C/C++
Indexer" timed out waiting (5000ms) for thread "Thread-3" to finish starting
bundle "org.eclipse.cdt.core". To avoid deadlock, thread "C/C++ Indexer" is
proceeding but "org.eclipse.cdt.internal.core.search.processing.IndexingJob" may
not be fully initialized.
!STACK 0
java.lang.Exception: Generated exception.
        at
org.eclipse.core.runtime.adaptor.EclipseClassLoader.findLocalClass(Ljava.lang.String;)Ljava.lang.Class;(EclipseClassLoader.java:102)
        at
org.eclipse.osgi.framework.internal.core.BundleLoader.findLocalClass(Ljava.lang.String;)Ljava.lang.Class;(BundleLoader.java:371)
        at
org.eclipse.osgi.framework.internal.core.BundleLoader.findClass(Ljava.lang.String;)Ljava.lang.Class;(BundleLoader.java:402)
        at
org.eclipse.osgi.framework.adaptor.core.AbstractClassLoader.loadClass(Ljava.lang.String;Z)Ljava.lang.Class;(AbstractClassLoader.java:93)
        at
java.lang.ClassLoader.loadClass(Ljava.lang.String;)Ljava.lang.Class;(Unknown Source)
        at
java.lang.ClassLoader.loadClassFromNative(JJ)Ljava.lang.Class;(Unknown Source)
        at jrockit.vm.RNI.getRunnableCode(J)J(Unknown Source)
        at jrockit.vm.RNI.trampoline()V(Unknown Source)
        at
org.eclipse.cdt.internal.core.search.processing.JobManager.run()V(JobManager.java:???)
        at java.lang.Thread.run()V(Unknown Source)
        at java.lang.Thread.startThreadFromVM(Ljava.lang.Thread;)V(Unknown Source)
                                                                               
                                                                             
!ENTRY org.eclipse.osgi Mar 21, 2005 16:21:38.176
!MESSAGE While loading class "org.eclipse.cdt.core.parser.IParser", thread
"Indexer TimeOut Thread" timed out waiting (5000ms) for thread "Thread-3" to
finish starting bundle "org.eclipse.cdt.core". To avoid deadlock, thread
"Indexer TimeOut Thread" is proceeding but "org.eclipse.cdt.core.parser.IParser"
may not be fully initialized.
!STACK 0
java.lang.Exception: Generated exception.
        at
org.eclipse.core.runtime.adaptor.EclipseClassLoader.findLocalClass(Ljava.lang.String;)Ljava.lang.Class;(EclipseClassLoader.java:102)
        at
org.eclipse.osgi.framework.internal.core.BundleLoader.findLocalClass(Ljava.lang.String;)Ljava.lang.Class;(BundleLoader.java:371)
        at
org.eclipse.osgi.framework.internal.core.BundleLoader.findClass(Ljava.lang.String;)Ljava.lang.Class;(BundleLoader.java:402)
        at
org.eclipse.osgi.framework.adaptor.core.AbstractClassLoader.loadClass(Ljava.lang.String;Z)Ljava.lang.Class;(AbstractClassLoader.java:93)
        at
java.lang.ClassLoader.loadClass(Ljava.lang.String;)Ljava.lang.Class;(Unknown Source)
        at
java.lang.ClassLoader.loadClassFromNative(JJ)Ljava.lang.Class;(Unknown Source)
        at jrockit.vm.RNI.getRunnableCode(J)J(Unknown Source)
        at jrockit.vm.RNI.trampoline()V(Unknown Source)
        at org.eclipse.cdt.core.parser.ParserTimeOut.run()V(ParserTimeOut.java:???)
        at java.lang.Thread.run()V(Unknown Source)
        at java.lang.Thread.startThreadFromVM(Ljava.lang.Thread;)V(Unknown Source)


Expected results:
No error messages


Note You need to log in before you can comment on or make changes to this bug.